Bug 88883 - Unable to send mail externally
Unable to send mail externally
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-15 06:03 EDT by adam.huffman
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-05 06:31:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description adam.huffman 2003-04-15 06:03:47 EDT
Description of problem:
On a fresh shrike installation, I am unable to send mail remotely after
installing the sendmail update.  Local mail is delivered.  The mail appears to
be sent but does not arrive i.e. it does not remain in the queue.

This is what appears in /var/log/maillog:

Apr 15 10:31:48 bloch sendmail[27643]: h3F9VmJJ027643:
to=an-external-address@e.mail, delay=00:00:00, mailer=esmtp, pri=30292,
dsn=4.4.3, stat=queued

Version-Release number of selected component (if applicable):
8.12.8-5.90

How reproducible:
Every time

Steps to Reproduce:
1. send mail remotely 
2.
3.
    
Actual results:
maillog lists mail as queued, mail does not arrive

Expected results:
mail arrives

Additional info:
Comment 1 Florian La Roche 2003-05-05 06:31:54 EDT
Check your DNS and queued email should be in /var/spool/clientmqueue/.

greetings,

Florian La Roche
Comment 2 adam.huffman 2003-05-06 05:59:07 EDT
Yes, it did turn out to be a DNS problem in the end.  I hadn't noticed the new
/var/spool/clientmqueue/ directory and so it was perplexing.

Apologies for the noise.
Comment 3 adam.huffman 2003-05-12 12:32:06 EDT
Might be a good idea to alter 'mailq' so that it looks in /var/spool/clientmqueue

Note You need to log in before you can comment on or make changes to this bug.